%define name openuniverse
%define version 1.0
%define release 0.beta3.2mdk
%define prefix %{_prefix}

Summary: OpenGL Space Simulator
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Toys
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: http://download.sourceforge.net/openuniverse/%{name}-1.0beta3.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch0: openuniverse-fix-build.patch.bz2
Patch1: openuniverse-configuration.patch.bz2
URL: http://www.openuniverse.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>

%description
OpenUniverse (OU) is a fun, fast and free OpenGL space simulator. It
currently focuses on the Solar System and lets you visit all of its
planets, most major moons and a vast collection of smaller bodies in
colorful, glorious and realtime 3D. If you've ever had a chance to visit
Mercury or asteroid Geographos, here you'll find them looking exactly the
same way, following exactly the same path as when you've left them.

%prep
%setup -q -n %{name}-1.0beta3
%patch0 -p0
%patch1 -p0

%build
%configure
make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Toys" title="OpenUniverse" \
  longtitle="OpenGL Space Simulator"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING docs/*.html docs/*.gif docs/BUGS.TXT
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Sat Mar 03 2001 Daouda Lo <daouda@mandrakesoft.com> 1.0-0.beta3.2mdk
- fix segfault 

* Fri Nov 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.1mdk
- first mdk package

